Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 826390 - app-text/mathtex uses deprecated EAPI 5
Summary: app-text/mathtex uses deprecated EAPI 5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2021-11-22 13:43 UTC by Jakov Smolić
Modified: 2021-12-14 15:58 UTC (History)
0 users

See Also:
Package list:
app-text/mathtex-1.05
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jakov Smolić gentoo-dev 2021-11-22 13:43:34 UTC
Please port to newer EAPI.
Comment 1 Larry the Git Cow gentoo-dev 2021-11-23 17:26:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27f86cb2820eb8e95b105a3273b24cd4ae7972a4

commit 27f86cb2820eb8e95b105a3273b24cd4ae7972a4
Author:     Marek Szuba <marecki@gentoo.org>
AuthorDate: 2021-11-23 17:23:19 +0000
Commit:     Marek Szuba <marecki@gentoo.org>
CommitDate: 2021-11-23 17:26:35 +0000

    app-text/mathtex: add 1.05
    
    EAPI 5 -> 8, point to CTAN in both HOMEPAGE (the original one is gone)
    and SRC_URI (instead of the dreaded mirror:gentoo).
    
    Fun fact, this version was released in 2014! Gotta love m-n packages.
    
    Bug: https://bugs.gentoo.org/826390
    Signed-off-by: Marek Szuba <marecki@gentoo.org>

 app-text/mathtex/Manifest            |  1 +
 app-text/mathtex/mathtex-1.05.ebuild | 45 ++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)
Comment 2 Marek Szuba archtester gentoo-dev 2021-11-23 17:27:15 UTC
To be resolved once 1.05 has been stabilised.
Comment 3 Jakov Smolić gentoo-dev 2021-12-14 15:58:31 UTC
amd64 done
Comment 4 Jakov Smolić gentoo-dev 2021-12-14 15:58:34 UTC
x86 done

all arches done